Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.tools.maven
Class OpenJpaEnhancerMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
              org.apache.openjpa.tools.maven.AbstractOpenJpaEnhancerMojo
                  org.apache.openjpa.tools.maven.OpenJpaEnhancerMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class OpenJpaEnhancerMojo

extends AbstractOpenJpaEnhancerMojo

Processes Application model classes and enhances them by running Open JPA Enhancer tool. This basically only acts as a container for the xdoclet stuff since all the required functionality is already in the `AbstratOpenJpaEnhancerMojo`.

Since:
  1.0
Version:
  $Id: OpenJpaEnhancerMojo.java 10954 2009-10-23 22:05:45Z struberg $

Field Summary

Fields inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaEnhancerMojo
`addDefaultConstructor, enforcePropertyRestrictions, tmpClassLoader`

Fields inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
`classes, compileClasspathElements, OPTION_CONNECTION_DRIVER_NAME, OPTION_CONNECTION_PROPERTIES, OPTION_PROPERTIES, OPTION_PROPERTIES_FILE, project`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`OpenJpaEnhancerMojo()`

Method Summary

Methods inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaEnhancerMojo
`execute, getOptions`

Methods inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
`createOptions, extendRealmClasspath, findEntityClassFiles, getClasspathElements, getEntityClasses, getFilePaths, skipMojo`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenJpaEnhancerMojo

    public OpenJpaEnhancerMojo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.